//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Joon-Suk Lee (jl)
//  FILE: PCPreCond.H
//  PROJ: COKO
//  DATE: 7/28/97
//
// SYNOPSIS
//  Class definition for CPreCond.
//  
//////////////////////////////////////////////////////////////////////////////

#ifndef _PCPRECOND_H_
#define _PCPRECOND_H_

#include "PCCond.H"
#include "PCPattern.H"
#include "CondList.H"


//////////////////////////////////////////////////////////////////////////////
//
//  CLASS: CPreCond
//
// SYNOPSIS
//
//////////////////////////////////////////////////////////////////////////////

class CPreCond 
{
protected:
  CondList* _condList;    
  // condition list
  
public:
  CPreCond(char* a ... );                       
  // Constructor
  
  ~CPreCond();                      
  // Destructor
  
  CState *Exec(CState *, NonType*);
  // What to do when executed

};

#endif
