#ifndef _DESTACKWINDOW_H_
#define _DESTACKWINDOW_H_

#include <qwidget.h>
#include <qmultilineedit.h>
#include <qpopupmenu.h>
#include <iostream>
#include "VC.H"

class MyMainWindow;

class DStackWindow : public QMultiLineEdit
{
 public:
  DStackWindow(QPopupMenu* view = 0, int index = 0, QWidget * parent = 0, const char * name = 0, MyMainWindow* mw = 0);
  int getCurrLine();
  bool close(bool);
 protected:
  void mousePressEvent( QMouseEvent * );
  void mouseReleaseEvent( QMouseEvent * );

 protected:
  MyMainWindow * mwWid;
  int currLine;
  QPopupMenu* _view;
  int _index;
};

#endif
