//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Marina Zlatkina
//  FILE: NotProperty.C
//  PROJ: COKO
//  DATE: 8/2001                                                        
//
// SYNOPSIS
//  Class that represents the negation of a property.
//  
//////////////////////////////////////////////////////////////////////////////
#include "NotProperty.H"
//////////////////////////////////////////////////////////////////////////////
//                                                                          
// Function Name: isTrue
// Parameters:	(CState *, NonTypeArgs*)
//
// Returns true if prop evaluates to false, and vice versa.
//         								    
//////////////////////////////////////////////////////////////////////////////
NonTypeArgs * NotProperty::isTrue(CState *s, NonTypeArgs *a){

  NonTypeArgs *ret_val = prop->isTrue(s,a);

  if (ret_val->GetSuccess())
    ret_val->SetSuccess(false);
  else
    ret_val->SetSuccess(true);

  return ret_val;
    
}
