//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Marina Zlatkina
//  FILE: AndProperty.H
//  PROJ: COKO
//  DATE: 8/2001                                                            
//
// SYNOPSIS
//  Class to represent a conjunction of two property requirements.
//  
//////////////////////////////////////////////////////////////////////////////

#ifndef _ANDPROPERTY_H
#define _ANDPROPERTY_H

#include "Property.H"

class CState;
class NonTypeArgs;

class AndProperty: public Property{

private :
  Property *first, *second;
  // reference the 2 properties that must be true in order for this 
  // property to be true

public:
  AndProperty(Property *prop1, Property *prop2);
  // Constructor

  NonTypeArgs *isTrue(CState *, NonTypeArgs *);
};

#endif
