#ifndef _DSCROLLWIDGET_H_
#define _DSCROLLWIDGET_H_

#include "DEPaintWindow.H"
#include <qscrollview.h>
#include <iostream.h>
#include <math.h>

class DScrollWidget : public QScrollView
{
public:
  DScrollWidget(QPopupMenu* view = 0, int index = 0, QWidget * parent = 0, const char * name = 0, DPaintWindow* son=NULL);
  ~DScrollWidget();
  void setSon (DPaintWindow * gs);
  bool close(bool);
  void setViewVals(QPopupMenu* view, int index);
  int getMarkedDeleted();
  void markDeleted();
  char* getName();
  void redoGeometryCalculations();
  void moveScrollBars(float ratio_x, float ratio_y);
  
protected:
  virtual void resizeEvent ( QResizeEvent * e );
  DPaintWindow* _son;
  QPopupMenu* _view;
  int _index;
  char* _name;
  int markedDeleted;

};

#endif
