//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Marina Zlatkina
//  FILE: OrProperty.H
//  PROJ: COKO
//  DATE: 8/2001                                                            
//
// SYNOPSIS
//  Class to represent the disjunction  of two property requirements.
//  
//////////////////////////////////////////////////////////////////////////////
#ifndef _ORPROPERTY_H
#define _ORPROPERTY_H

#include "Property.H"

class CState;

class OrProperty: public Property{

private:
  Property *first, *second;
  // the two Properties: one of these must be true in order for this 
  // OrProperty to be true

public:
  OrProperty(Property *prop1, Property *prop2);
  // constructor

  NonTypeArgs *isTrue(CState *, NonTypeArgs *a);
  // returns true if either the isTrue method of first or second returned true
};


#endif
